<!Doctype html>

<html lang="fr">
<head>
	<meta charset="utf-8">
	<link rel="stylesheet" href="calculette_stylesheet.css" />
	<title>La calculette</title>
</head>
<body>
	<section>
		<form>
			<input type="number" id="chiffre1" name="chiffre1"> 
			<input type="number" id="chiffre2" name="chiffre2">
			<button type="button" id="a">+</button>
			<button type="button" id="b">-</button>
			<button type="button" id="c">x</button>
			<button type="button" id="d">/</button>  
			<output id="resultat">
		</form>

     

      	 <script type="text/javascript">
          var chiffre1 = (document.getElementById("chiffre1"));
          var chiffre2 = (document.getElementById("chiffre2"));

          document.getElementById("a").addEventListener("click",addition);
          document.getElementById("b").addEventListener("click",soustraction);
          document.getElementById("c").addEventListener("click",multiplication);
          document.getElementById("d").addEventListener("click",division);


          function addition () {
          		document.getElementById("resultat").value = parseInt(chiffre1.value) + parseInt(chiffre2.value);
          }

			function soustraction () {
          		document.getElementById("resultat").value = parseInt(chiffre1.value) - parseInt(chiffre2.value);
          }

			function multiplication () {
          		document.getElementById("resultat").value = parseInt(chiffre1.value) * parseInt(chiffre2.value);
          }

			function division () {
          		document.getElementById("resultat").value = parseInt(chiffre1.value) / parseInt(chiffre2.value);
          }


       	 </script>
 	</section>
</body>

</html>